it-swarm.com.ru

Эмулятор не работает на Android Studio

Я пытаюсь запустить эмулятор через Android Studio, но он не запускается.

У меня Android студия (версия 23 Зефир), настроенная с

minSdkVersion 21
targetSdkVersion 23

Когда я запускаю свое приложение в эмуляции (nexus 5x api 23 Android 6.0), я получаю следующую ошибку:

Ошибка при ожидании устройства: процесс эмулятора для AVD Nexus_5X_API_23 был убит.

Кто-нибудь может мне помочь в этом, пожалуйста? 

18
Amit

Если вы посмотрите на журнал 4: Run, он говорит:

эмулятор: ОШИБКА: К сожалению, существует несовместимость между Гипервизор HAXM и VirtualBox 4.3.30+, который не допускает множественное гипервизоры, чтобы сосуществовать. Над этим активно работают; ты можешь найти Подробнее о проблеме можно узнать по адресу http://b.Android.com/197915 (Android) и https://www.virtualbox.org/ticket/14294 (VirtualBox)

В моем случае был запущен экземпляр докера VirtualBox, и как только я его остановил, эмулятор начал работать.

38
Henrique de Sousa

В моем случае работала docker/dlite, и как только я их остановил, эмулятор начал работать.

docker stop $(docker ps -a -q)    
dlite stop

Или выйдите из Docker для Mac через верхнюю правую строку меню.

Обратите внимание, что вам может потребоваться перезапустить Android Studio.

5
Wojtek Dmyszewicz

Моя проблема была с Nexus 6 23, и я решил ее следующим образом:

  • cD $ HOME/Android/SDK/эмулятор/lib64/libstdc ++
  • Переименуйте файл libstdc ++. So.6 (Ubuntu): Mv libstdc ++. So.6 libstdc ++. So.6.bak
  • Готово, это сработало для меня!

Я надеюсь, что это может помочь вам!

0
rmarquez

Если у вас установлена ​​ОС Windows, проверьте, установлен ли графический драйвер и работает ли он нормально. Так как эмулятору нужна хорошая и/или правильная графическая конфигурация. Попробуйте установить графический драйвер, если он не установлен, и снова запустить эмулятор. 

Надеюсь, что это работает!, Это сработало для меня.

0
Sanjay Ramesh